MessagesPropertiesUnitTest.TestDescriptionHasProperty (jTDS API)
Keywords: net.sourceforge.jtds.test.MessagesPropertiesUnitTest.TestDescriptionHasProperty class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class MessagesPropertiesUnitTest.TestDescriptionHasProperty

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.MessagesPropertiesUnitTest.TestDescriptionHasProperty

All Implemented Interfaces:
  junit.framework.Test

Enclosing class:
  MessagesPropertiesUnitTest

public static class MessagesPropertiesUnitTest.TestDescriptionHasProperty
extends UnitTestBase

Tests that a given description key has a matching property key in `Messages.properties`.

Field Summary
`private java.util.ResourceBundle` | `messages`
`private java.lang.String` | `property`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MessagesPropertiesUnitTest.TestDescriptionHasProperty(java.lang.String property, java.util.ResourceBundle messages)` Constructor.

Method Summary
`protected void` | `runTest()` Runs the test that a given description key has a matching property key in `Messages.properties`.
`static junit.framework.Test` | `suite()` Provides a null test suite so that JUnit will not try to instantiate this class directly.

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messages

    private final java.util.ResourceBundle messages

### property

    private final java.lang.String property

Constructor Detail

### MessagesPropertiesUnitTest.TestDescriptionHasProperty

    public MessagesPropertiesUnitTest.TestDescriptionHasProperty(java.lang.String property,
                                                                 java.util.ResourceBundle messages)

  Constructor.

Parameters:
  `property` - The property name to test.
  `messages` - The resource bundle containing all of the messages.

Method Detail

### suite

    public static final junit.framework.Test suite()

  Provides a null test suite so that JUnit will not try to instantiate this class directly.

  Returns:
    The test suite (always `null`).

### runTest

    protected void runTest()
                    throws java.lang.Throwable

  Runs the test that a given description key has a matching property key in `Messages.properties`.

  Throws:
    `java.lang.Throwable` - on error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009